tld_get_4z(3)

NAME
tld_get_4z - extract top level domain part in input Unicode string

SYNOPSIS
#include <tld.h>

int tld_get_4z(const uint32_t * in, char ** out);

ARGUMENTS

const uint32_t * in
    Zero terminated array of unicode code points to process.

char ** out
    Zero terminated ascii result string pointer.

DESCRIPTION
Isolate the top-level domain of in and return it as an ASCII string in out.

RETURN VALUE
Return TLD_SUCCESS on success, or the corresponding Tld_rc error code otherwise.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.